Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc

# Interface FBObjectListener.BlobListener

All Known Implementing Classes:
  `FBObjectListener.NoActionBlobListener`, `InternalTransactionCoordinator`, `InternalTransactionCoordinator.AbstractTransactionCoordinator`

Enclosing class:
  FBObjectListener

public static interface FBObjectListener.BlobListener
Listener for the events generated by BLOBs.

## Method Summary

Modifier and Type
Method
Description
`default void`
`executionCompleted(FirebirdBlob blob)`
Notify listener that execution of some BLOB operation had been completed.
`default void`
`executionStarted(FirebirdBlob blob)`
Notify listener that execution of some BLOB operation had been started.

## Method Details

### executionStarted

default void executionStarted(FirebirdBlob blob) throws SQLException
Notify listener that execution of some BLOB operation had been started.

The default implementation does nothing.

Parameters:
  `blob` - instance of `FirebirdBlob` that caused this event
Throws:
  `SQLException` - if something went wrong

### executionCompleted

default void executionCompleted(FirebirdBlob blob) throws SQLException
Notify listener that execution of some BLOB operation had been completed.

The default implementation does nothing.

Parameters:
  `blob` - instance of `FirebirdBlob` that caused this event.
Throws:
  `SQLException` - if something went wrong.